<mat-form-field class="form-field-block" appearance="outline" color='accent'>
  <mat-label>{{ label }}</mat-label>
  <input matInput [placeholder]="placeholder" [formControl]="inputFormControl" [type]="hide ? 'password' : 'text'" />
  <mat-icon *ngIf="!isPassword" matSuffix>{{ iconName }}</mat-icon>
  <mat-icon *ngIf="isPassword" (click)="hide = !hide" style="cursor: pointer;" matSuffix>
    {{ hide ? "visibility_off" : "visibility" }}
  </mat-icon>
  <mat-hint>{{ hint }}</mat-hint>
  <mat-error *ngIf="inputFormControl.invalid">
    {{ getErrorMessage() }}
  </mat-error>
</mat-form-field>
